Loading...
+ Нов въпрос
p.tseperski avatar p.tseperski 21 Точки

[Java Web Development] Проблем с инсталирането на Spring IDE/ Spring Tool Suite като плъгини на Eclipse

Здравейте колеги,

Пробвам се да инсталирам Spring IDE или STS (Spring Tool Suite) като плъгин в Еклипс, но ми дава грешка от типа: 

Cannot complete the install because one or more required items could not be found.
  Software being installed: Spring IDE Autowire Extension (optional) 3.7.2.201511260958-RELEASE (org.springframework.ide.eclipse.autowire.feature.feature.group 3.7.2.201511260958-RELEASE)
  Missing requirement: Spring IDE Live Beans Graph 3.7.2.201511260958-RELEASE (org.springframework.ide.eclipse.beans.ui.livegraph 3.7.2.201511260958-RELEASE) requires 'bundle org.eclipse.zest.core [1.0.0,2.0.0)' but it could not be found
  Cannot satisfy dependency:
    From: Spring IDE Autowire Extension (optional) 3.7.2.201511260958-RELEASE (org.springframework.ide.eclipse.autowire.feature.feature.group 3.7.2.201511260958-RELEASE)
    To: org.springframework.ide.eclipse.feature.feature.group 0.0.0
  Cannot satisfy dependency:
    From: Spring IDE Core (required) 3.7.2.201511260958-RELEASE (org.springframework.ide.eclipse.feature.feature.group 3.7.2.201511260958-RELEASE)
    To: org.springframework.ide.eclipse.beans.ui.livegraph [3.7.2.201511260958-RELEASE]

Пробвах и от eclipse marketplace и от Help > Instlal New Software... бутона, но все същото. Някой може ли да даде насоки, ако се е сблъсквал с тоя проблем? За момента в нета не откривам решение. Единия вариант е да си дръпна STS като отделно IDE, ама по ще ми е удобно, ако е като плъгин в еклипса.

 

Update: Тъкмо пробвах и ръчна инсталация със zip от ей тук https://spring.io/tools/sts/all и пак не става...

0
Java Web Development 23/02/2016 00:13:55
TaTRaTa avatar TaTRaTa 5 Точки

Аз го инсталирах от Help > Eclipse Marketplace.

Пишеш спринг и инсталваш.

0
p.tseperski avatar p.tseperski 21 Точки

Опасявам се, че това е 1-вия вариант който пробвах и пак същото. :)

0
deyan.zhekov avatar deyan.zhekov 159 Точки

Здравей,

каква е версията на Eclipse? През installer-а ли я сложи или през архива?

0
p.tseperski avatar p.tseperski 21 Точки

Здравей Дидо,

Версията на Еклипса е 4.5.1 (Mars.1 както го пишат). Значи първо пробвах през Eclipse Marketplace - не стана. После пробвах да сложа линка на update site-a през Install New Software... в Еклипса - успя да инсталира някои компоненти, но не всички които са нужни, следователно резултата пак е отрицателен. След това свалих от сайта на STS архива и пробвах от hdd-то си да го инсталирам, но пак без успех.

0
23/02/2016 10:46:32
Kamenov avatar Kamenov 18 Точки

Здравейте,

При мен проблема е следния, инсталирах spring през Help > Eclipse Marketplace, всичко мина успещно. Като тръгна да създавам нов проект от спринг ми дава възможност да създам само някакъв spring root project. Други опции нямам.

0
asata avatar asata 8 Точки

Да затова говоря. Слагай луната няма да имаш проблеми. *roo Spring roo

0
deyan.zhekov avatar deyan.zhekov 159 Точки

Здравей,

бих искал да ти помогна, но не успявам да възпроизведа нито една грешка по темата (5 инсталации за последните 2 месеца без никакъв проблем точно както е описано в гайда).

Можеш да свалиш eclipse-а който съм дал като линк или да пробваш с Luna.

0
Можем ли да използваме бисквитки?
Ние използваме бисквитки и подобни технологии, за да предоставим нашите услуги. Можете да се съгласите с всички или част от тях.
Назад
Функционални
Използваме бисквитки и подобни технологии, за да предоставим нашите услуги. Използваме „сесийни“ бисквитки, за да Ви идентифицираме временно. Те се пазят само по време на активната употреба на услугите ни. След излизане от приложението, затваряне на браузъра или мобилното устройство, данните се трият. Използваме бисквитки, за да предоставим опцията „Запомни Ме“, която Ви позволява да използвате нашите услуги без да предоставяте потребителско име и парола. Допълнително е възможно да използваме бисквитки за да съхраняваме различни малки настройки, като избор на езика, позиции на менюта и персонализирано съдържание. Използваме бисквитки и за измерване на маркетинговите ни усилия.
Рекламни
Използваме бисквитки, за да измерваме маркетинг ефективността ни, броене на посещения, както и за проследяването дали дадено електронно писмо е било отворено.